Package be.ehealth.businessconnector.vsbnet.async.mohm.session.impl

# Class VsbNetMohmServiceImpl

java.lang.Object
be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
be.ehealth.businessconnector.vsbnet.async.mohm.session.impl.VsbNetMohmServiceImpl

All Implemented Interfaces:
  `CommonAsyncService`, `VsbNetMohmService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class VsbNetMohmServiceImpl extends DefaultCommonAsyncService implements VsbNetMohmService, ConfigurationModuleBootstrap.ModuleBootstrapHook

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VsbNetMohmServiceImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `ProcessedPostResponse`
  `cancelApplication(EMOHMDF111CancelApplicationRequest request, InputReference inputReference)`
  post a CancelApplication request ( Message Name : VL_MOHM_CNCL_APPLIC_REQ )
  `ProcessedPostResponse`
  `consultApplication(EMOHMDF103ConsultapplicationRequest request, InputReference inputReference)`
  post a ConsultApplication request ( Message Name : VL_MOHM_CONSULT_REQ )
  `ProcessedPostResponse`
  `consultApplicationV4(EMOHMDF103ConsultApplicationRequest request, InputReference inputReference)`
  post a ConsultApplication request ( Message Name : VL_MOHM_CONSULT_REQ_V4 )
  `ProcessedPostResponse`
  `consultHistory(EMOHMDF102ConsultHistoryRequest request, InputReference inputReference)`
  post a ConsultHistory request ( Message Name : VL_MOHM_CONSULT_HIST_REQ )
  `ProcessedPostResponse`
  `consultSupportAndRepair(EMOHMDF104ConsultSupportAndRepairRequest request, InputReference inputReference)`
  post a ConsultSupportAndRepair request ( Message Name : VL_MOHM_SUP_REP_REQ )
  `ProcessedPostResponse`
  `consultSupportAndRepairList(EMOHMDF112ConsultSupportAndRepairListRequest request, InputReference inputReference)`
  post a ConsultSupportAndRepairList request ( Message Name : VL_MOHM_SUP_REP_LIST_REQ )
  `ProcessedPostResponse`
  `consultSupportAndRepairListV2(EMOHMDF112ConsultSupportAndRepairListRequest request, InputReference inputReference)`
  post a ConsultSupportAndRepairList request ( Message Name : VL_MOHM_SUP_REP_LIST_REQ_V2 )
  `ProcessedPostResponse`
  `consultSupportAndRepairV4(EMOHMDF104ConsultSupportAndRepairRequest request, InputReference inputReference)`
  post a ConsultSupportAndRepair request ( Message Name : VL_MOHM_SUP_REP_REQ_V4 )
  `ProcessedPostResponse`
  `createApplication(EMOHMDF101CreateApplicationRequest request, InputReference inputReference)`
  post a CreateApplication request ( Message Name : VL_MOHM_APPLIC_REQ )
  `ProcessedPostResponse`
  `createApplicationV3(EMOHMDF101CreateApplicationRequest request, InputReference inputReference)`
  post a CreateApplication request ( Message Name : VL_MOHM_APPLIC_REQ_V3 )
  `ProcessedPostResponse`
  `createFictionalApplication(EMOHMDF102CreateFictionalApplicationRequest request, InputReference inputReference)`
  post a CreateFictionalApplication request ( Message Name : VL_MOHM_FIC_APPLIC_REQ )
  `ProcessedGetResponse<EMOHMDF111CancelApplicationResponse>`
  `getCancelApplication(GetRequest request)`
  get the CancelApplication response ( Message Name : VL_MOHM_CNCL_APPLIC_RESP )
  `ProcessedGetResponse<EMOHMDF103ConsultApplicationResponse>`
  `getConsultApplication(GetRequest request)`
  get the ConsultApplication response ( Message Name : VL_MOHM_CONSULT_RESP )
  `ProcessedGetResponse<EMOHMDF103ConsultApplicationResponse>`
  `getConsultApplicationV4(GetRequest request)`
  get the ConsultApplication response ( Message Name : VL_MOHM_CONSULT_RESP_V4 )
  `ProcessedGetResponse<EMOHMDF102ConsultHistoryResponse>`
  `getConsultHistory(GetRequest request)`
  get the ConsultHistory response ( Message Name : VL_MOHM_CONSULT_HIST_RESP )
  `ProcessedGetResponse<EMOHMDF104ConsultSupportAndRepairResponse>`
  `getConsultSupportAndRepair(GetRequest request)`
  get the ConsultSupportAndRepair response ( Message Name : VL_MOHM_SUP_REP_RESP )
  `ProcessedGetResponse<EMOHMDF112ConsultSupportAndRepairListResponse>`
  `getConsultSupportAndRepairList(GetRequest request)`
  get the ConsultSupportAndRepairList response ( Message Name : VL_MOHM_SUP_REP_LIST_RESP )
  `ProcessedGetResponse<EMOHMDF112ConsultSupportAndRepairListResponse>`
  `getConsultSupportAndRepairListV2(GetRequest request)`
  get the ConsultSupportAndRepairList response ( Message Name : VL_MOHM_SUP_REP_LIST_RESP_V2 )
  `ProcessedGetResponse<EMOHMDF104ConsultSupportAndRepairResponse>`
  `getConsultSupportAndRepairV4(GetRequest request)`
  get the ConsultSupportAndRepair response ( Message Name : VL_MOHM_SUP_REP_RESP_V4 )
  `ProcessedGetResponse<EMOHMDF101CreateApplicationResponse>`
  `getCreateApplication(GetRequest request)`
  get the CreateApplication response ( Message Name : VL_MOHM_APPLIC_RESP )
  `ProcessedGetResponse<EMOHMDF101CreateApplicationResponse>`
  `getCreateApplicationV3(GetRequest request)`
  get the CreateApplication response ( Message Name : VL_MOHM_APPLIC_RESP_V3 )
  `ProcessedGetResponse<EMOHMDF102CreateFictionalApplicationResponse>`
  `getCreateFictionalApplication(GetRequest request)`
  get the CreateFictionalApplication response ( Message Name : VL_MOHM_FIC_APPLIC_RESP )
  `ProcessedGetResponse<EMOHMDF107PushApplicationViewRequest>`
  `getPushApplicationView(GetRequest request)`
  get the PushApplicationView response ( Message Name : VL_MOHM_PUSH_APPLIC_VIEW )
  `ProcessedGetResponse<EMOHMDF107PushApplicationViewRequest>`
  `getPushApplicationViewV4(GetRequest request)`
  get the PushApplicationView response ( Message Name : VL_MOHM_PUSH_APPLIC_VIEW_V4 )
  `ProcessedGetResponse<EMOHMDF106PushDecisionRequest>`
  `getPushDecision(GetRequest request)`
  get the PushDecision response ( Message Name : VL_MOHM_PUSH_DESC )
  `ProcessedGetResponse<EMOHMDF106PushDecisionRequest>`
  `getPushDecisionV4(GetRequest request)`
  get the PushDecision response ( Message Name : VL_MOHM_PUSH_DESC_V4 )
  `ProcessedGetResponse<EMOHMDF105ReportDeliveryResponse>`
  `getReportDelivery(GetRequest request)`
  get the ReportDelivery response ( Message Name : VL_MOHM_REP_DELIV_RESP )
  `ProcessedPostResponse`
  `reportDelivery(EMOHMDF105ReportDeliveryRequest request, InputReference inputReference)`
  post a ReportDelivery request ( Message Name : VL_MOHM_REP_DELIV_REQ )

  ### Methods inherited from class be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService

  `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface be.ehealth.businessconnector.genericasync.helper.CommonAsyncService

  `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

- ## Constructor Details

  - ### VsbNetMohmServiceImpl

    public VsbNetMohmServiceImpl()

- ## Method Details

  - ### getConsultApplication

    public ProcessedGetResponse<EMOHMDF103ConsultApplicationResponse> getConsultApplication(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the ConsultApplication response ( Message Name : VL_MOHM_CONSULT_RESP )
    Specified by:
      `getConsultApplication` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df103 response
    Throws:
      `ConnectorException`

  - ### consultApplication

    public ProcessedPostResponse consultApplication(EMOHMDF103ConsultapplicationRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a ConsultApplication request ( Message Name : VL_MOHM_CONSULT_REQ )
    Specified by:
      `consultApplication` in interface `VsbNetMohmService`
    Parameters:
      `request` - df103 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getCreateApplication

    public ProcessedGetResponse<EMOHMDF101CreateApplicationResponse> getCreateApplication(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the CreateApplication response ( Message Name : VL_MOHM_APPLIC_RESP )
    Specified by:
      `getCreateApplication` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df101 response
    Throws:
      `ConnectorException`

  - ### createApplication

    public ProcessedPostResponse createApplication(EMOHMDF101CreateApplicationRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a CreateApplication request ( Message Name : VL_MOHM_APPLIC_REQ )
    Specified by:
      `createApplication` in interface `VsbNetMohmService`
    Parameters:
      `request` - df101 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getCreateFictionalApplication

    public ProcessedGetResponse<EMOHMDF102CreateFictionalApplicationResponse> getCreateFictionalApplication(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the CreateFictionalApplication response ( Message Name : VL_MOHM_FIC_APPLIC_RESP )
    Specified by:
      `getCreateFictionalApplication` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df102 response
    Throws:
      `ConnectorException`

  - ### createFictionalApplication

    public ProcessedPostResponse createFictionalApplication(EMOHMDF102CreateFictionalApplicationRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a CreateFictionalApplication request ( Message Name : VL_MOHM_FIC_APPLIC_REQ )
    Specified by:
      `createFictionalApplication` in interface `VsbNetMohmService`
    Parameters:
      `request` - df102 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getConsultSupportAndRepair

    public ProcessedGetResponse<EMOHMDF104ConsultSupportAndRepairResponse> getConsultSupportAndRepair(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the ConsultSupportAndRepair response ( Message Name : VL_MOHM_SUP_REP_RESP )
    Specified by:
      `getConsultSupportAndRepair` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df104 response
    Throws:
      `ConnectorException`

  - ### consultSupportAndRepairList

    public ProcessedPostResponse consultSupportAndRepairList(EMOHMDF112ConsultSupportAndRepairListRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a ConsultSupportAndRepairList request ( Message Name : VL_MOHM_SUP_REP_LIST_REQ )
    Specified by:
      `consultSupportAndRepairList` in interface `VsbNetMohmService`
    Parameters:
      `request` - df112 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getConsultSupportAndRepairList

    public ProcessedGetResponse<EMOHMDF112ConsultSupportAndRepairListResponse> getConsultSupportAndRepairList(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the ConsultSupportAndRepairList response ( Message Name : VL_MOHM_SUP_REP_LIST_RESP )
    Specified by:
      `getConsultSupportAndRepairList` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df112 response
    Throws:
      `ConnectorException`

  - ### cancelApplication

    public ProcessedPostResponse cancelApplication(EMOHMDF111CancelApplicationRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a CancelApplication request ( Message Name : VL_MOHM_CNCL_APPLIC_REQ )
    Specified by:
      `cancelApplication` in interface `VsbNetMohmService`
    Parameters:
      `request` - df111 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getCancelApplication

    public ProcessedGetResponse<EMOHMDF111CancelApplicationResponse> getCancelApplication(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the CancelApplication response ( Message Name : VL_MOHM_CNCL_APPLIC_RESP )
    Specified by:
      `getCancelApplication` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df111 response
    Throws:
      `ConnectorException`

  - ### consultSupportAndRepair

    public ProcessedPostResponse consultSupportAndRepair(EMOHMDF104ConsultSupportAndRepairRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a ConsultSupportAndRepair request ( Message Name : VL_MOHM_SUP_REP_REQ )
    Specified by:
      `consultSupportAndRepair` in interface `VsbNetMohmService`
    Parameters:
      `request` - df104 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getReportDelivery

    public ProcessedGetResponse<EMOHMDF105ReportDeliveryResponse> getReportDelivery(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the ReportDelivery response ( Message Name : VL_MOHM_REP_DELIV_RESP )
    Specified by:
      `getReportDelivery` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df105 response
    Throws:
      `ConnectorException`

  - ### reportDelivery

    public ProcessedPostResponse reportDelivery(EMOHMDF105ReportDeliveryRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a ReportDelivery request ( Message Name : VL_MOHM_REP_DELIV_REQ )
    Specified by:
      `reportDelivery` in interface `VsbNetMohmService`
    Parameters:
      `request` - df105 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getPushDecision

    public ProcessedGetResponse<EMOHMDF106PushDecisionRequest> getPushDecision(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the PushDecision response ( Message Name : VL_MOHM_PUSH_DESC )
    Specified by:
      `getPushDecision` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df106 response
    Throws:
      `ConnectorException`

  - ### getPushApplicationView

    public ProcessedGetResponse<EMOHMDF107PushApplicationViewRequest> getPushApplicationView(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the PushApplicationView response ( Message Name : VL_MOHM_PUSH_APPLIC_VIEW )
    Specified by:
      `getPushApplicationView` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df107 response
    Throws:
      `ConnectorException`

  - ### createApplicationV3

    public ProcessedPostResponse createApplicationV3(EMOHMDF101CreateApplicationRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a CreateApplication request ( Message Name : VL_MOHM_APPLIC_REQ_V3 )
    Specified by:
      `createApplicationV3` in interface `VsbNetMohmService`
    Parameters:
      `request` - df101 v3 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getCreateApplicationV3

    public ProcessedGetResponse<EMOHMDF101CreateApplicationResponse> getCreateApplicationV3(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the CreateApplication response ( Message Name : VL_MOHM_APPLIC_RESP_V3 )
    Specified by:
      `getCreateApplicationV3` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df101 v3 response
    Throws:
      `ConnectorException`

  - ### consultHistory

    public ProcessedPostResponse consultHistory(EMOHMDF102ConsultHistoryRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a ConsultHistory request ( Message Name : VL_MOHM_CONSULT_HIST_REQ )
    Specified by:
      `consultHistory` in interface `VsbNetMohmService`
    Parameters:
      `request` - df102 v3 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getConsultHistory

    public ProcessedGetResponse<EMOHMDF102ConsultHistoryResponse> getConsultHistory(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the ConsultHistory response ( Message Name : VL_MOHM_CONSULT_HIST_RESP )
    Specified by:
      `getConsultHistory` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df102 v3 response
    Throws:
      `ConnectorException`

  - ### consultApplicationV4

    public ProcessedPostResponse consultApplicationV4(EMOHMDF103ConsultApplicationRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a ConsultApplication request ( Message Name : VL_MOHM_CONSULT_REQ_V4 )
    Specified by:
      `consultApplicationV4` in interface `VsbNetMohmService`
    Parameters:
      `request` - df103 v4 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getConsultApplicationV4

    public ProcessedGetResponse<EMOHMDF103ConsultApplicationResponse> getConsultApplicationV4(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the ConsultApplication response ( Message Name : VL_MOHM_CONSULT_RESP_V4 )
    Specified by:
      `getConsultApplicationV4` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df103 v4 response
    Throws:
      `ConnectorException`

  - ### consultSupportAndRepairV4

    public ProcessedPostResponse consultSupportAndRepairV4(EMOHMDF104ConsultSupportAndRepairRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a ConsultSupportAndRepair request ( Message Name : VL_MOHM_SUP_REP_REQ_V4 )
    Specified by:
      `consultSupportAndRepairV4` in interface `VsbNetMohmService`
    Parameters:
      `request` - df104 v4 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getConsultSupportAndRepairV4

    public ProcessedGetResponse<EMOHMDF104ConsultSupportAndRepairResponse> getConsultSupportAndRepairV4(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the ConsultSupportAndRepair response ( Message Name : VL_MOHM_SUP_REP_RESP_V4 )
    Specified by:
      `getConsultSupportAndRepairV4` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df104 v4 response
    Throws:
      `ConnectorException`

  - ### getPushDecisionV4

    public ProcessedGetResponse<EMOHMDF106PushDecisionRequest> getPushDecisionV4(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the PushDecision response ( Message Name : VL_MOHM_PUSH_DESC_V4 )
    Specified by:
      `getPushDecisionV4` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df106 v4 response
    Throws:
      `ConnectorException`

  - ### getPushApplicationViewV4

    public ProcessedGetResponse<EMOHMDF107PushApplicationViewRequest> getPushApplicationViewV4(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the PushApplicationView response ( Message Name : VL_MOHM_PUSH_APPLIC_VIEW_V4 )
    Specified by:
      `getPushApplicationViewV4` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df107 v4 response
    Throws:
      `ConnectorException`

  - ### consultSupportAndRepairListV2

    public ProcessedPostResponse consultSupportAndRepairListV2(EMOHMDF112ConsultSupportAndRepairListRequest request, InputReference inputReference) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    post a ConsultSupportAndRepairList request ( Message Name : VL_MOHM_SUP_REP_LIST_REQ_V2 )
    Specified by:
      `consultSupportAndRepairListV2` in interface `VsbNetMohmService`
    Parameters:
      `request` - df112 v2 request
      `inputReference` -
    Returns:
      tack to confirm
    Throws:
      `ConnectorException`

  - ### getConsultSupportAndRepairListV2

    public ProcessedGetResponse<EMOHMDF112ConsultSupportAndRepairListResponse> getConsultSupportAndRepairListV2(GetRequest request) throws ConnectorException
    Description copied from interface: `VsbNetMohmService`
    get the ConsultSupportAndRepairList response ( Message Name : VL_MOHM_SUP_REP_LIST_RESP_V2 )
    Specified by:
      `getConsultSupportAndRepairListV2` in interface `VsbNetMohmService`
    Parameters:
      `request` - a Get Request
    Returns:
      df112 v2 response
    Throws:
      `ConnectorException`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`